TUNE2FS(8)

NAME
tune2fs - adjust tunable filesystem parameters on second extended filesystems

SYNOPSIS
tune2fs [ -l ] [ -c max-mount-counts ] [ -e errors-behavior ] [ -i interval-between-checks ] [ -m reserved-blocks-percentage ] [ -r reserved-blocks-count ] [ -s sparse-super-flag ] [ -u user ] [ -g group ] [ -C mount-count ] [ -L volume-name ] [ -M last-mounted-directory ] [ -U UUID ] device

DESCRIPTION
tune2fs adjusts tunable filesystem parameters on a Linux second extended filesystem.

Never use tune2fs on a read/write mounted filesystem to change parameters!

OPTIONS

-c max-mount-counts
    adjust the maximal mounts count between two filesystem checks.

-e errors-behavior
    change the behavior of the kernel code when errors are detected. errors-behavior can be one of the followings:
        continue    Continue normal execution.
        remount-ro    Remount the filesystem read-only.
        panic    Causes a kernel panic.

-g group
    set the user group which can benefit from the reserved blocks.
    group can be a numerical gid or a group name.

-i interval-between-checks[d|m|w]
    adjust the maximal time between two filesystem checks. No postfix or `d' result in days, `m' in months, and `w' in weeks. A value of zero will disable the timedependent checking.

-l  list the contents of the filesystem superblock.

-m reserved-blocks-percentage
    adjust the reserved blocks percentage on the given device.

-r reserved-blocks-count
    adjust the reserved blocks count on the given device.

-s sparse_super_flag
    sets and resets the sparse_superblock flag. The sparse_superblock feature saves space on really big filesystems. Warning: The Linux 2.0 kernel does not properly support this feature. Neither do all Linux 2.1 kernels; please don't use this unless you know what you're doing!

-u user
    set the user who can benefit from the reserved blocks. user can be a numerical uid or a user name.

    -C mount-count set the number of times the filesystem has been mounted.

-L volume-label
    set the volume label of the filesystem.

-M last-mounted-directory
    set the last-mounted direcctory for the filesystem.

-U UUID
    set the UUID of the filesystem. A sample UUID looks like this: "c1b9d5a2-f162-11cf-9ece-0020afc76f16". The uuid may also be "null", which will set the filesystem UUID to the null UUID. The uuid may also be "random", which will generate a new random UUID for the filesystem.

BUGS
We didn't find any bugs yet. Perhaps there are bugs but it's unlikely.

WARNING
Use this utility on your own risk. You're modifying filesystems.

AUTHOR
tune2fs has been written by Remy Card <card@masi.ibp.fr>, the developer and maintainer of the ext2 fs.
tune2fs uses the ext2fs library written by Theodore Ts'o <tytso@mit.edu>.
This manual page was written by Christian Kuhtz <chk@data-hh.Hanse.DE>.
Timedependent checking was added by Uwe Ohse <uwe@tirka.gun.de>.

AVAILABILITY
tune2fs is available for anonymous ftp from ftp.ibp.fr and tsx-11.mit.edu in /pub/linux/packages/ext2fs.

SEE ALSO
dumpe2fs(8), e2fsck(8), mke2fs(8)